#
# spec file for package octave-forge-general
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  general
Name:           octave-forge-%{octpkg}
Version:        2.1.3
Release:        1.1
Summary:        General tools for Octave
License:        BSD-3-Clause AND GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gnu-octave.github.io/packages/%{octpkg}/
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  libnettle-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 4.0.0

%description
General tools for Octave.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

# Save metainfo file, we only have tarballs later
find ./ -name "*.metainfo.xml" -exec cp '{}' ./ \;

%build
%octave_pkg_build

%install
%octave_pkg_install
install -Dm 644 -t %{buildroot}%{_datadir}/metainfo/ *.metainfo.xml

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}
%{_datadir}/metainfo/*.metainfo.xml

%changelog
* Mon Oct 30 2023 Atri Bhattacharya <badshah400@gmail.com>
- Update URL to point to 'https://gnu-octave.github.io/packages/'
* Mon Oct 16 2023 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 2.1.3:
  * updates for Octave 8+ changes.
* Thu Jul  7 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add nettle build dependency to add SHA support.
* Mon Feb 21 2022 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 2.1.2:
  * updates to tests for Octave 7 changes
* Mon May 18 2020 Atri Bhattacharya <badshah400@gmail.com>
- Fix installation of metainfo file.
* Sun May 10 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 2.1.1:
  * updated configure script to detect function names for various
    octave versions.
  * added additional BIST tests
  * minor documentation updates
- Install metainfo
* Wed Jun  6 2018 badshah400@gmail.com
- Update to version 2.1.0:
  * added configure script to detect function names for various
    octave versions.
  * updated depreciated functions for octave 4.4
  * SHA1 uses nettle library as its underlying implementatiom
  * package installs BIST .cc tests
* Wed May 27 2015 dmitry_r@opensuse.org
- Update to version 2.0.0
  * The @inputParser has been removed since it is now part of
    Octave core and has a completely Matlab compatible syntax.
  * The 'cauchy' function is new on the general package.  It has
    been moved from the optim package.
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.3.4
